org.apache.fop.fo.extensions.xmp

## Class XMPElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.fo.extensions.xmp.XMPElementMapping

-     public class XMPElementMapping
      extends ElementMapping

  Setup the element mapping for XMP metadata.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

      `ElementMapping.Maker`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.ElementMapping

      `DEFAULT, foObjs, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPElementMapping()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Returns the DOMImplementation used by this ElementMapping.
    `protected void` | `initialize()` Initializes the set of maker objects associated with this ElementMapping

    - ### Methods inherited from class org.apache.fop.fo.ElementMapping

      `getDefaultDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPElementMapping

          public XMPElementMapping()

      Main constructor.

  - ### Method Detail

    - #### getDOMImplementation

          public org.w3c.dom.DOMImplementation getDOMImplementation()

      Returns the DOMImplementation used by this ElementMapping. The value returned may be null for cases where no DOM is used to represent the element tree (XSL-FO, for example). This method is used by the intermediate format to instantiate the right kind of DOM document for foreign objects. For example, SVG handled through Apache Batik has to use a special DOMImplementation.
      Overrides:
        `getDOMImplementation` in class `ElementMapping`
      Returns:
        the DOMImplementation used by this ElementMapping, may be null

    - #### initialize

          protected void initialize()

      Initializes the set of maker objects associated with this ElementMapping
      Specified by:
        `initialize` in class `ElementMapping`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.